## python-flake8 5.0.4

=== debian/changelog ===
python-flake8 (5.0.4-4) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Jochen Sprickerhof ]
  * Add upstream commit for pycodestyle 2.10

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 30 Dec 2022 07:54:07 +0100

python-flake8 (5.0.4-3) UNRELEASED; urgency=medium

  * Update standards version to 4.6.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Sat, 10 Sep 2022 10:41:36 -0000

python-flake8 (5.0.4-2) unstable; urgency=medium

  * Team upload.
  * This version of python-flake8 breaks python3-pytest-flake8 before 1.1.1.
    Update versioned Breaks accordingly.

 -- Emanuele Rocca <ema@debian.org>  Sat, 10 Sep 2022 11:45:56 +0200

python-flake8 (5.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump versioned Build-depends on python3-codestyle to >=2.9.0 and
    python3-pyflakes >=2.5.0 due to new upstream release requirements.
  * Update 0001-Remove-upper-constrains-from-upstream-requirements.patch.
  * Drop build-depend on python3-nose (Closes: #1018493)
  * Skip upstream test test_up_to_date from
    tests/unit/plugins/pycodestyle_test.py as we do not autogenerate
    pycodestyle.py but rather use the version shipped by upstream.
  * Update Homepage field in d/control to point to
    https://github.com/pycqa/flake8.

 -- Emanuele Rocca <ema@debian.org>  Fri, 02 Sep 2022 10:49:28 +0200

=== debian/control ===
Source: python-flake8
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
           Ondřej Nový <onovy@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pycodestyle,
               python3-all,
               python3-entrypoints,
               python3-mccabe,
               python3-mock,
               python3-pycodestyle (>= 2.9.0),
               python3-pyflakes (>= 2.5.0),
               python3-pytest,
               python3-pytest-runner,
               python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://github.com/pycqa/flake8
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/python-team/packages/python-flake8.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flake8
Rules-Requires-Root: no

Package: flake8
Architecture: all
Depends: python3-flake8 (=${binary:Version}),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Description: code checker using pycodestyle and pyflakes
 Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script.
 Flake8 runs all tools by launching the single 'flake8' script, but ignores
 pycodestyle and PyFlakes extended options and just uses defaults. It displays
 the warnings in a per-file, merged output.
 .
 This package provides flake8 binary.

Package: python3-flake8
Architecture: all
Depends: python3-mccabe,
         python3-pycodestyle (>= 2.8.0),
         python3-pyflakes (>= 2.4.0),
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends},
Breaks: python3-flake8-polyfill (<< 1.0.2-3~),
        python3-pytest-flake8 (<< 1.1.1-1~),
Description: code checker using pycodestyle and pyflakes - Python 3.x
 Flake8 is a wrapper around PyFlakes, pycodestyle, and Ned's McCabe script.
 Flake8 runs all tools by launching the single 'flake8' script, but ignores
 pycodestyle and PyFlakes extended options and just uses defaults. It displays
 the warnings in a per-file, merged output.
 .
 This package provides Python 3 module bindings only.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = flake8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install

	mkdir -p debian/flake8/usr
	mv $(CURDIR)/debian/python3-flake8/usr/bin $(CURDIR)/debian/flake8/usr/
	# run tests after install: plugin needs to get registered by setup.py/entry_points
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -k 'not test_up_to_date'" dh_auto_test
endif

override_dh_installchangelogs:
	rm -f debian/upstream-changelog
	set -e ; for i in $$(find docs/source/release-notes -name "*.rst" | sort -V -r) ; do \
		cat $$i ; \
		echo "" ; \
	done >>debian/upstream-changelog

	dh_installchangelogs debian/upstream-changelog

## python-flake8 7.0.0

=== docs/source/requirements.txt ===
sphinx>=2.1.0,!=3.1.0
sphinx-rtd-theme>=1.2.2
sphinx-prompt>=1.5.0
docutils!=0.18

=== debian/changelog ===
python-flake8 (7.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump required library version to upstream's minimums
  * Set upper bound on mccabe, pycodestyle, and pyflakes (Closes: #1057968)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 14:38:44 +0100

python-flake8 (6.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Add support for python 3.12 (Closes: #1056242)
  * Refresh patches and drop patches applied upstream
  * Use GitHub tags as source tarball
  * Bump required library version to upstream's minimums
  * Bump Standards-Version to 4.6.2
  * Run upstream tests during autopkgtest

 -- Benjamin Drung <bdrung@debian.org>  Thu, 07 Dec 2023 15:55:58 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,18 @@
                pycodestyle,
                python3-all,
                python3-entrypoints,
-               python3-mccabe,
-               python3-mock,
-               python3-pycodestyle (>= 2.9.0),
-               python3-pyflakes (>= 2.5.0),
+               python3-mccabe (<< 0.8),
+               python3-mccabe (>= 0.7),
+               python3-pycodestyle (<< 2.12),
+               python3-pycodestyle (>= 2.11),
+               python3-pyflakes (<< 3.3),
+               python3-pyflakes (>= 3.2),
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/pycqa/flake8
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-flake8.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flake8
 Rules-Requires-Root: no
@@ -39,9 +41,12 @@
 
 Package: python3-flake8
 Architecture: all
-Depends: python3-mccabe,
-         python3-pycodestyle (>= 2.8.0),
-         python3-pyflakes (>= 2.4.0),
+Depends: python3-mccabe (<< 0.8),
+         python3-mccabe (>= 0.7),
+         python3-pycodestyle (<< 2.12),
+         python3-pycodestyle (>= 2.11),
+         python3-pyflakes (<< 3.3),
+         python3-pyflakes (>= 3.2),
          python3-setuptools,
          ${misc:Depends},
          ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME = flake8
+export PYBUILD_TEST_ARGS=-k 'not test_up_to_date'
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -14,7 +15,7 @@
 	mv $(CURDIR)/debian/python3-flake8/usr/bin $(CURDIR)/debian/flake8/usr/
 	# run tests after install: plugin needs to get registered by setup.py/entry_points
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -k 'not test_up_to_date'" dh_auto_test
+	dh_auto_test
 endif
 
 override_dh_installchangelogs:

=== debian/watch ===
version=4
opts=filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,uversionmangle=s/(rc|a|b|c)/~$1/,searchmode=plain \
  https://api.github.com/repos/PyCQA/flake8/tags?per_page=100 \
  https://api.github.com/repos/PyCQA/flake8/tarball/refs/tags/@ANY_VERSION@

## python-flake8 7.1.0

=== debian/changelog ===
python-flake8 (7.1.0-1) unstable; urgency=medium

  * Team upload.
  * Remove stale dependency on deprecated python3-entrypoints
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

  [ Ondřej Nový ]
  * Remove myself from Uploaders.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Jul 2024 22:16:20 +0200

## python-flake8 7.1.1

=== docs/source/requirements.txt ===
sphinx>=2.1.0,!=3.1.0
sphinx-rtd-theme>=1.2.2
sphinx-prompt>=1.8.0
docutils!=0.18

=== debian/changelog ===
python-flake8 (7.1.1-3) unstable; urgency=medium

  * Team upload
  * Drop dependency on python3-pkg-resources (Closes: #1083636)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 14 Jan 2025 21:56:17 +0100

python-flake8 (7.1.1-2) unstable; urgency=medium

  * Team upload
  * d/control: Bump pycodestyle dependencies according to upstream
    (Closes: #1086676).

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 05 Nov 2024 17:02:40 -0300

python-flake8 (7.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.1.1

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 Aug 2024 18:41:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,20 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
-           Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pycodestyle,
                python3-all,
-               python3-entrypoints,
                python3-mccabe (<< 0.8),
                python3-mccabe (>= 0.7),
-               python3-pycodestyle (<< 2.12),
-               python3-pycodestyle (>= 2.11),
+               python3-pycodestyle (<< 2.13),
+               python3-pycodestyle (>= 2.12),
                python3-pyflakes (<< 3.3),
                python3-pyflakes (>= 3.2),
                python3-pytest,
                python3-pytest-runner,
                python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/pycqa/flake8
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-flake8.git
@@ -28,7 +26,6 @@
 Package: flake8
 Architecture: all
 Depends: python3-flake8 (=${binary:Version}),
-         python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends},
 Description: code checker using pycodestyle and pyflakes
@@ -43,11 +40,10 @@
 Architecture: all
 Depends: python3-mccabe (<< 0.8),
          python3-mccabe (>= 0.7),
-         python3-pycodestyle (<< 2.12),
-         python3-pycodestyle (>= 2.11),
+         python3-pycodestyle (<< 2.13),
+         python3-pycodestyle (>= 2.12),
          python3-pyflakes (<< 3.3),
          python3-pyflakes (>= 3.2),
-         python3-setuptools,
          ${misc:Depends},
          ${python3:Depends},
 Breaks: python3-flake8-polyfill (<< 1.0.2-3~),

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export PYBUILD_TEST_ARGS=-k 'not test_up_to_date'
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_test:

## python-flake8 7.3.0

=== debian/changelog ===
python-flake8 (7.3.0-2) unstable; urgency=medium

  * Team upload
  * Mark test-only dependencies

 -- Bastian Germann <bage@debian.org>  Tue, 24 Feb 2026 20:44:30 +0100

python-flake8 (7.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Bump pycodestyle and pyflakes dependencies (closes: #1125154).
  * Use pybuild-plugin-pyproject.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Mon, 12 Jan 2026 09:57:03 +0000

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Chris Johnston <chrisjohnston@ubuntu.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                pycodestyle,
                python3-all,
                python3-mccabe (<< 0.8),
                python3-mccabe (>= 0.7),
-               python3-pycodestyle (<< 2.13),
-               python3-pycodestyle (>= 2.12),
-               python3-pyflakes (<< 3.3),
-               python3-pyflakes (>= 3.2),
-               python3-pytest,
-               python3-pytest-runner,
+               python3-pycodestyle (<< 2.15),
+               python3-pycodestyle (>= 2.14),
+               python3-pyflakes (<< 3.5),
+               python3-pyflakes (>= 3.4),
+               python3-pytest <!nocheck>,
+               python3-pytest-runner <!nocheck>,
                python3-setuptools,
 Standards-Version: 4.7.0
 Homepage: https://github.com/pycqa/flake8
 Testsuite: autopkgtest-pkg-pybuild
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-flake8.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-flake8
-Rules-Requires-Root: no
 
 Package: flake8
 Architecture: all
@@ -40,10 +40,10 @@
 Architecture: all
 Depends: python3-mccabe (<< 0.8),
          python3-mccabe (>= 0.7),
-         python3-pycodestyle (<< 2.13),
-         python3-pycodestyle (>= 2.12),
-         python3-pyflakes (<< 3.3),
-         python3-pyflakes (>= 3.2),
+         python3-pycodestyle (<< 2.15),
+         python3-pycodestyle (>= 2.14),
+         python3-pyflakes (<< 3.5),
+         python3-pyflakes (>= 3.4),
          ${misc:Depends},
          ${python3:Depends},
 Breaks: python3-flake8-polyfill (<< 1.0.2-3~),
